aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-security/keynote/keynote-2.3/run-ptest
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-security/keynote/keynote-2.3/run-ptest')
-rw-r--r--recipes-security/keynote/keynote-2.3/run-ptest16
1 files changed, 16 insertions, 0 deletions
diff --git a/recipes-security/keynote/keynote-2.3/run-ptest b/recipes-security/keynote/keynote-2.3/run-ptest
new file mode 100644
index 0000000..4dc35c9
--- /dev/null
+++ b/recipes-security/keynote/keynote-2.3/run-ptest
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+cd @PTEST_PATH@
+keynote verify -e testsuite/test-env \
+ -r false,maybe,probably,true \
+ -k testsuite/auth1 -k testsuite/auth2 \
+ -k testsuite/auth3 -k testsuite/auth4 \
+ -l testsuite/test-assertion1 \
+ -l testsuite/test-assertion2 \
+ -l testsuite/test-assertion3 \
+ -l testsuite/test-assertion4 \
+ -l testsuite/test-assertion5 \
+ -l testsuite/test-assertion6 \
+ -l testsuite/test-assertion7 \
+ && echo "PASS: keynote-ptest" \
+ || echo "FAIL: keynote-ptest"